For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • HEADLESS APPLE PAY API
    • End Points
    • POSTTransaction Session API
    • POSTTransaction Process API
    • GETTransaction Request Status API
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
HEADLESS APPLE PAY API

Transaction Session API

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/transaction-session
POST
/api/v2/transaction-session
$curl -X POST https://api-gateway-stg.transak.com/api/v2/transaction-session \
> -H "x-access-token: " \
> -H "Content-Type: application/json" \
> -d '{
> "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285",
> "walletAddress": "0xABCDEF1234567890abcdef1234567890ABCDEF12",
> "config": {
> "colorMode": "LIGHT",
> "borderRadius": "8px",
> "height": "48px"
> }
>}'
1{
2 "data": {
3 "sessionId": "eyJhbGciOiJFZERTQSJ9.eyJwcyI6ImFiY2QxMjM0In0.sig"
4 }
5}

Creates a Headless Apple Pay transaction session. Returns a sessionId for your integration. Requires a valid user access token and approved KYC where applicable.

Was this page helpful?
Previous

Getting Started

Next

Transaction Process API

Built with

Headers

x-access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is applicable for Headless Apple Pay(with Auth and KYC) Flow

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable for Headless Apple Pay(with Auth Reliance and KYC) Flow

Request

This endpoint expects an object.
quoteIdstringRequired
Quote ID from the pricing API.
walletAddressstringRequired
Destination crypto wallet address.
configobjectOptional
Additional optional UI configuration passed through to the session.

Response

Success
dataobject

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error